### Struct

# GObject EnumClass

#### Description

    struct GEnumClass {
      GTypeClass g_type_class;
      gint minimum;
      gint maximum;
      guint n_values;
      GEnumValue* values;
    }

The class of an enumeration type holds information about its possible values.

###### Structure members

`g_type_class`

  The parent class.

`minimum`

  The smallest possible value.

`maximum`

  The largest possible value.

`n_values`

  The number of possible values.

`values`

  An array of `GEnumValue` structs describing the individual values.